Invoke an MCP tool

View as Markdown

Invokes a namespaced MCP tool on the appropriate server. This is a synchronous call that may take 8–15 seconds.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workspace_idstringRequired

Request

This endpoint expects an object.
namespaced_toolstringRequired

Fully qualified tool name: {namespace}__{tool_name}

argumentsmap from strings to anyOptional

Tool arguments matching the tool’s input_schema

timeout_msintegerOptional

Optional caller-controlled timeout in milliseconds

Response

Tool invocation result
resultstring

Tool result text (empty on error)

is_errorboolean
True if the MCP server returned an error for this tool call
errorstring
Error message if the invocation failed

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error